System.Web 2.0.0.0 System.Configuration.ConfigurationSection

The class provides a way to programmatically access and modify the authentication section of a configuration file.

The can write information into the related section of the configuration file according to the restrictions defined by the section property whose value is . Any attempt to write in a configuration file at a level not allowed in the hierarchy will result in an error message generated by the parser. However, you can use this class to read configuration information at any level in the hierarchy. For safety and scalability, it is recommended that you use an external repository, such as a database, to keep the users' credentials.

Configures the authentication for a Web application. This class cannot be inherited.

- Constructor

  The constructor is not intended to be used directly from your code. It is called by the ASP.NET configuration system. You obtain an instance of the class by using the method.

  Initializes a new instance of the class.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("forms")
  System.Web.Configuration.FormsAuthenticationConfiguration To be added. To be added.

  Gets the element property.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("mode", DefaultValue="Windows")
  System.Web.Configuration.AuthenticationMode To be added. To be added.

  Gets or sets the authentication modality.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("passport")
  System.Web.Configuration.PassportAuthentication To be added. To be added.

  Gets the element property.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0